MessageQueueElement Class Reference

This class is a helper for maintaining doubly-linked queues of Messages. More...

`#include <message.h>`

## Public Member Functions

| MessageQueueElement ()
| Create a queue element with NULL prev and next pointers.
| ~MessageQueueElement ()
| Destroy a queue element.

## Public Attributes

Message * | msg
| The message stored in this queue element.

## Private Attributes

MessageQueueElement * | prev
| Pointer to previous queue element.
MessageQueueElement * | next
| Pointer to next queue element.

## Detailed Description

This class is a helper for maintaining doubly-linked queues of Messages.

The documentation for this class was generated from the following file:

- message.h

Last updated 12 September 2005 21:38:45